# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import dbs
from south.v2 import SchemaMigration
from django.db import models

db = dbs["rpkidb"]

class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Self'
        db.create_table(u'rpkidb_self', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('self_handle', self.gf('django.db.models.fields.SlugField')(max_length=255)),
            ('use_hsm', self.gf('django.db.models.fields.IntegerField')()),
            ('crl_interval', self.gf('django.db.models.fields.BigIntegerField')(null=True, blank=True)),
            ('regen_margin', self.gf('django.db.models.fields.BigIntegerField')(null=True, blank=True)),
            ('bpki_cert', self.gf('rpki.fields.CertificateField')(default=None, blank=True)),
            ('bpki_glue', self.gf('rpki.fields.CertificateField')(default=None, null=True, blank=True)),
        ))
        db.send_create_signal(u'rpkidb', ['Self'])

        # Adding model 'Bsc'
        db.create_table(u'rpkidb_bsc', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('bsc_handle', self.gf('django.db.models.fields.SlugField')(max_length=255)),
            ('private_key_id', self.gf('rpki.fields.KeyField')(default=None, blank=True)),
            ('pkcs10_request', self.gf('rpki.fields.PKCS10Field')(default=None, blank=True)),
            ('hash_alg', self.gf('rpki.fields.EnumField')()),
            ('signing_cert', self.gf('rpki.fields.CertificateField')(default=None, null=True, blank=True)),
            ('signing_cert_crl', self.gf('rpki.fields.CRLField')(default=None, null=True, blank=True)),
            ('self', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Self'])),
        ))
        db.send_create_signal(u'rpkidb', ['Bsc'])

        # Adding unique constraint on 'Bsc', fields ['self', 'bsc_handle']
        db.create_unique(u'rpkidb_bsc', ['self_id', 'bsc_handle'])

        # Adding model 'Repository'
        db.create_table(u'rpkidb_repository', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('repository_handle', self.gf('django.db.models.fields.SlugField')(max_length=255)),
            ('peer_contact_uri', self.gf('django.db.models.fields.TextField')()),
            ('bpki_cert', self.gf('rpki.fields.CertificateField')(default=None, blank=True)),
            ('bpki_glue', self.gf('rpki.fields.CertificateField')(default=None, null=True, blank=True)),
            ('last_cms_timestamp', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
            ('bsc', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Bsc'])),
            ('self', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Self'])),
        ))
        db.send_create_signal(u'rpkidb', ['Repository'])

        # Adding unique constraint on 'Repository', fields ['self', 'repository_handle']
        db.create_unique(u'rpkidb_repository', ['self_id', 'repository_handle'])

        # Adding model 'Parent'
        db.create_table(u'rpkidb_parent', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('parent_handle', self.gf('django.db.models.fields.SlugField')(max_length=255)),
            ('bpki_cms_cert', self.gf('rpki.fields.CertificateField')(default=None, blank=True)),
            ('bpki_cms_glue', self.gf('rpki.fields.CertificateField')(default=None, null=True, blank=True)),
            ('peer_contact_uri', self.gf('django.db.models.fields.TextField')()),
            ('sia_base', self.gf('django.db.models.fields.TextField')(blank=True)),
            ('sender_name', self.gf('django.db.models.fields.TextField')()),
            ('recipient_name', self.gf('django.db.models.fields.TextField')()),
            ('last_cms_timestamp', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
            ('self', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Self'])),
            ('bsc', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Bsc'])),
            ('repository', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Repository'])),
        ))
        db.send_create_signal(u'rpkidb', ['Parent'])

        # Adding unique constraint on 'Parent', fields ['self', 'parent_handle']
        db.create_unique(u'rpkidb_parent', ['self_id', 'parent_handle'])

        # Adding model 'Ca'
        db.create_table(u'rpkidb_ca', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('last_crl_sn', self.gf('django.db.models.fields.BigIntegerField')()),
            ('last_manifest_sn', self.gf('django.db.models.fields.BigIntegerField')()),
            ('next_manifest_update', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
            ('next_crl_update', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
            ('last_issued_sn', self.gf('django.db.models.fields.BigIntegerField')()),
            ('sia_uri', self.gf('django.db.models.fields.TextField')()),
            ('parent_resource_class', self.gf('django.db.models.fields.TextField')()),
            ('parent', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Parent'])),
        ))
        db.send_create_signal(u'rpkidb', ['Ca'])

        # Adding model 'CaDetail'
        db.create_table(u'rpkidb_cadetail', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('public_key', self.gf('rpki.fields.KeyField')(default=None, blank=True)),
            ('private_key_id', self.gf('rpki.fields.KeyField')(default=None, blank=True)),
            ('latest_crl', self.gf('rpki.fields.CRLField')(default=None, null=True, blank=True)),
            ('crl_published', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
            ('latest_ca_cert', self.gf('rpki.fields.CertificateField')(default=None, null=True, blank=True)),
            ('manifest_private_key_id', self.gf('rpki.fields.KeyField')(default=None, null=True, blank=True)),
            ('manifest_public_key', self.gf('rpki.fields.KeyField')(default=None, null=True, blank=True)),
            ('latest_manifest_cert', self.gf('rpki.fields.CertificateField')(default=None, null=True, blank=True)),
            ('latest_manifest', self.gf('rpki.fields.ManifestField')(default=None, null=True, blank=True)),
            ('manifest_published', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
            ('state', self.gf('rpki.fields.EnumField')()),
            ('ca_cert_uri', self.gf('django.db.models.fields.TextField')(blank=True)),
            ('ca', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Ca'])),
        ))
        db.send_create_signal(u'rpkidb', ['CaDetail'])

        # Adding model 'Child'
        db.create_table(u'rpkidb_child', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('child_handle', self.gf('django.db.models.fields.SlugField')(max_length=255)),
            ('bpki_cert', self.gf('rpki.fields.CertificateField')(default=None, blank=True)),
            ('bpki_glue', self.gf('rpki.fields.CertificateField')(default=None, null=True, blank=True)),
            ('last_cms_timestamp', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
            ('self', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Self'])),
            ('bsc', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Bsc'])),
        ))
        db.send_create_signal(u'rpkidb', ['Child'])

        # Adding unique constraint on 'Child', fields ['self', 'child_handle']
        db.create_unique(u'rpkidb_child', ['self_id', 'child_handle'])

        # Adding model 'ChildCert'
        db.create_table(u'rpkidb_childcert', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('cert', self.gf('rpki.fields.CertificateField')(default=None, blank=True)),
            ('published', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
            ('ski', self.gf('rpki.fields.BlobField')(default=None, blank=True)),
            ('child', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Child'])),
            ('ca_detail', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.CaDetail'])),
        ))
        db.send_create_signal(u'rpkidb', ['ChildCert'])

        # Adding model 'EeCert'
        db.create_table(u'rpkidb_eecert', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ski', self.gf('rpki.fields.BlobField')(default=None, blank=True)),
            ('cert', self.gf('rpki.fields.CertificateField')(default=None, blank=True)),
            ('published', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
            ('self', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Self'])),
            ('ca_detail', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.CaDetail'])),
        ))
        db.send_create_signal(u'rpkidb', ['EeCert'])

        # Adding model 'Ghostbuster'
        db.create_table(u'rpkidb_ghostbuster', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('vcard', self.gf('django.db.models.fields.TextField')()),
            ('cert', self.gf('rpki.fields.CertificateField')(default=None, blank=True)),
            ('ghostbuster', self.gf('rpki.fields.GhostbusterField')(default=None, blank=True)),
            ('published', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
            ('self', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Self'])),
            ('ca_detail', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.CaDetail'])),
        ))
        db.send_create_signal(u'rpkidb', ['Ghostbuster'])

        # Adding model 'RevokedCert'
        db.create_table(u'rpkidb_revokedcert', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('serial', self.gf('django.db.models.fields.BigIntegerField')()),
            ('revoked', self.gf('rpki.fields.SundialField')()),
            ('expires', self.gf('rpki.fields.SundialField')()),
            ('ca_detail', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.CaDetail'])),
        ))
        db.send_create_signal(u'rpkidb', ['RevokedCert'])

        # Adding model 'Roa'
        db.create_table(u'rpkidb_roa', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('asn', self.gf('django.db.models.fields.BigIntegerField')()),
            ('cert', self.gf('rpki.fields.CertificateField')(default=None, blank=True)),
            ('roa', self.gf('rpki.fields.ROAField')(default=None, blank=True)),
            ('published', self.gf('rpki.fields.SundialField')(null=True, blank=True)),
            ('self', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Self'])),
            ('ca_detail', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.CaDetail'])),
        ))
        db.send_create_signal(u'rpkidb', ['Roa'])

        # Adding model 'RoaPrefix'
        db.create_table(u'rpkidb_roaprefix', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('prefix', self.gf('django.db.models.fields.CharField')(max_length=40)),
            ('prefixlen', self.gf('django.db.models.fields.IntegerField')()),
            ('max_prefixlen', self.gf('django.db.models.fields.IntegerField')()),
            ('version', self.gf('django.db.models.fields.IntegerField')()),
            ('roa', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rpkidb.Roa'])),
        ))
        db.send_create_signal(u'rpkidb', ['RoaPrefix'])


    def backwards(self, orm):
        # Removing unique constraint on 'Child', fields ['self', 'child_handle']
        db.delete_unique(u'rpkidb_child', ['self_id', 'child_handle'])

        # Removing unique constraint on 'Parent', fields ['self', 'parent_handle']
        db.delete_unique(u'rpkidb_parent', ['self_id', 'parent_handle'])

        # Removing unique constraint on 'Repository', fields ['self', 'repository_handle']
        db.delete_unique(u'rpkidb_repository', ['self_id', 'repository_handle'])

        # Removing unique constraint on 'Bsc', fields ['self', 'bsc_handle']
        db.delete_unique(u'rpkidb_bsc', ['self_id', 'bsc_handle'])

        # Deleting model 'Self'
        db.delete_table(u'rpkidb_self')

        # Deleting model 'Bsc'
        db.delete_table(u'rpkidb_bsc')

        # Deleting model 'Repository'
        db.delete_table(u'rpkidb_repository')

        # Deleting model 'Parent'
        db.delete_table(u'rpkidb_parent')

        # Deleting model 'Ca'
        db.delete_table(u'rpkidb_ca')

        # Deleting model 'CaDetail'
        db.delete_table(u'rpkidb_cadetail')

        # Deleting model 'Child'
        db.delete_table(u'rpkidb_child')

        # Deleting model 'ChildCert'
        db.delete_table(u'rpkidb_childcert')

        # Deleting model 'EeCert'
        db.delete_table(u'rpkidb_eecert')

        # Deleting model 'Ghostbuster'
        db.delete_table(u'rpkidb_ghostbuster')

        # Deleting model 'RevokedCert'
        db.delete_table(u'rpkidb_revokedcert')

        # Deleting model 'Roa'
        db.delete_table(u'rpkidb_roa')

        # Deleting model 'RoaPrefix'
        db.delete_table(u'rpkidb_roaprefix')


    models = {
        u'rpkidb.bsc': {
            'Meta': {'unique_together': "((u'self', u'bsc_handle'),)", 'object_name': 'Bsc'},
            'bsc_handle': ('django.db.models.fields.SlugField', [], {'max_length': '255'}),
            'hash_alg': ('rpki.fields.EnumField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'pkcs10_request': ('rpki.fields.PKCS10Field', [], {'default': 'None', 'blank': 'True'}),
            'private_key_id': ('rpki.fields.KeyField', [], {'default': 'None', 'blank': 'True'}),
            'self': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Self']"}),
            'signing_cert': ('rpki.fields.CertificateField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'signing_cert_crl': ('rpki.fields.CRLField', [], {'default': 'None', 'null': 'True', 'blank': 'True'})
        },
        u'rpkidb.ca': {
            'Meta': {'object_name': 'Ca'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_crl_sn': ('django.db.models.fields.BigIntegerField', [], {}),
            'last_issued_sn': ('django.db.models.fields.BigIntegerField', [], {}),
            'last_manifest_sn': ('django.db.models.fields.BigIntegerField', [], {}),
            'next_crl_update': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'}),
            'next_manifest_update': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Parent']"}),
            'parent_resource_class': ('django.db.models.fields.TextField', [], {}),
            'sia_uri': ('django.db.models.fields.TextField', [], {})
        },
        u'rpkidb.cadetail': {
            'Meta': {'object_name': 'CaDetail'},
            'ca': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Ca']"}),
            'ca_cert_uri': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'crl_published': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'latest_ca_cert': ('rpki.fields.CertificateField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'latest_crl': ('rpki.fields.CRLField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'latest_manifest': ('rpki.fields.ManifestField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'latest_manifest_cert': ('rpki.fields.CertificateField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'manifest_private_key_id': ('rpki.fields.KeyField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'manifest_public_key': ('rpki.fields.KeyField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'manifest_published': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'}),
            'private_key_id': ('rpki.fields.KeyField', [], {'default': 'None', 'blank': 'True'}),
            'public_key': ('rpki.fields.KeyField', [], {'default': 'None', 'blank': 'True'}),
            'state': ('rpki.fields.EnumField', [], {})
        },
        u'rpkidb.child': {
            'Meta': {'unique_together': "((u'self', u'child_handle'),)", 'object_name': 'Child'},
            'bpki_cert': ('rpki.fields.CertificateField', [], {'default': 'None', 'blank': 'True'}),
            'bpki_glue': ('rpki.fields.CertificateField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'bsc': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Bsc']"}),
            'child_handle': ('django.db.models.fields.SlugField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_cms_timestamp': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'}),
            'self': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Self']"})
        },
        u'rpkidb.childcert': {
            'Meta': {'object_name': 'ChildCert'},
            'ca_detail': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.CaDetail']"}),
            'cert': ('rpki.fields.CertificateField', [], {'default': 'None', 'blank': 'True'}),
            'child': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Child']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'published': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'}),
            'ski': ('rpki.fields.BlobField', [], {'default': 'None', 'blank': 'True'})
        },
        u'rpkidb.eecert': {
            'Meta': {'object_name': 'EeCert'},
            'ca_detail': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.CaDetail']"}),
            'cert': ('rpki.fields.CertificateField', [], {'default': 'None', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'published': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'}),
            'self': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Self']"}),
            'ski': ('rpki.fields.BlobField', [], {'default': 'None', 'blank': 'True'})
        },
        u'rpkidb.ghostbuster': {
            'Meta': {'object_name': 'Ghostbuster'},
            'ca_detail': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.CaDetail']"}),
            'cert': ('rpki.fields.CertificateField', [], {'default': 'None', 'blank': 'True'}),
            'ghostbuster': ('rpki.fields.GhostbusterField', [], {'default': 'None', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'published': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'}),
            'self': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Self']"}),
            'vcard': ('django.db.models.fields.TextField', [], {})
        },
        u'rpkidb.parent': {
            'Meta': {'unique_together': "((u'self', u'parent_handle'),)", 'object_name': 'Parent'},
            'bpki_cms_cert': ('rpki.fields.CertificateField', [], {'default': 'None', 'blank': 'True'}),
            'bpki_cms_glue': ('rpki.fields.CertificateField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'bsc': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Bsc']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_cms_timestamp': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'}),
            'parent_handle': ('django.db.models.fields.SlugField', [], {'max_length': '255'}),
            'peer_contact_uri': ('django.db.models.fields.TextField', [], {}),
            'recipient_name': ('django.db.models.fields.TextField', [], {}),
            'repository': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Repository']"}),
            'self': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Self']"}),
            'sender_name': ('django.db.models.fields.TextField', [], {}),
            'sia_base': ('django.db.models.fields.TextField', [], {'blank': 'True'})
        },
        u'rpkidb.repository': {
            'Meta': {'unique_together': "((u'self', u'repository_handle'),)", 'object_name': 'Repository'},
            'bpki_cert': ('rpki.fields.CertificateField', [], {'default': 'None', 'blank': 'True'}),
            'bpki_glue': ('rpki.fields.CertificateField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'bsc': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Bsc']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_cms_timestamp': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'}),
            'peer_contact_uri': ('django.db.models.fields.TextField', [], {}),
            'repository_handle': ('django.db.models.fields.SlugField', [], {'max_length': '255'}),
            'self': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Self']"})
        },
        u'rpkidb.revokedcert': {
            'Meta': {'object_name': 'RevokedCert'},
            'ca_detail': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.CaDetail']"}),
            'expires': ('rpki.fields.SundialField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'revoked': ('rpki.fields.SundialField', [], {}),
            'serial': ('django.db.models.fields.BigIntegerField', [], {})
        },
        u'rpkidb.roa': {
            'Meta': {'object_name': 'Roa'},
            'asn': ('django.db.models.fields.BigIntegerField', [], {}),
            'ca_detail': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.CaDetail']"}),
            'cert': ('rpki.fields.CertificateField', [], {'default': 'None', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'published': ('rpki.fields.SundialField', [], {'null': 'True', 'blank': 'True'}),
            'roa': ('rpki.fields.ROAField', [], {'default': 'None', 'blank': 'True'}),
            'self': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Self']"})
        },
        u'rpkidb.roaprefix': {
            'Meta': {'object_name': 'RoaPrefix'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'max_prefixlen': ('django.db.models.fields.IntegerField', [], {}),
            'prefix': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            'prefixlen': ('django.db.models.fields.IntegerField', [], {}),
            'roa': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['rpkidb.Roa']"}),
            'version': ('django.db.models.fields.IntegerField', [], {})
        },
        u'rpkidb.self': {
            'Meta': {'object_name': 'Self'},
            'bpki_cert': ('rpki.fields.CertificateField', [], {'default': 'None', 'blank': 'True'}),
            'bpki_glue': ('rpki.fields.CertificateField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            'crl_interval': ('django.db.models.fields.BigIntegerField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'regen_margin': ('django.db.models.fields.BigIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'self_handle': ('django.db.models.fields.SlugField', [], {'max_length': '255'}),
            'use_hsm': ('django.db.models.fields.IntegerField', [], {})
        }
    }

    complete_apps = ['rpkidb']
